refracta2usb (2.4.4~exegnu3~6) unstable; urgency=low

  * Non maintainer experimental test build.
  * Fix menu icon not displaying.
  * Remove adwaita-icon-theme from "recommends".

 -- David Hare <dzz@exegnulinux.net>  Tue, 20 May 2025 21:33:32 +0100


refracta2usb (2.4.4~exegnu3~5) unstable; urgency=low

  * Non maintainer experimental test build.
  * Fix all remaining live-mount location references.
  * Keep older references to /lib/live/mount for back-compatibility.

 -- David Hare <dzz@exegnulinux.net>  Thu, 01 May 2025 14:25:45 +0100


refracta2usb (2.4.4~exegnu3~4) unstable; urgency=low

  * Non maintainer experimental test build.
  * Fix live-mount locations. They now go to /run/live/

 -- David Hare <dzz@exegnulinux.net>  Wed, 30 Apr 2025 19:53:41 +0100


refracta2usb (2.4.4~exegnu3~3) unstable; urgency=low

  * Non maintainer experimental test build.
  * Disable fakeroot calls for patch_initrd:
  * Fakeroot may not be installed on the host system:
  * Disable fakeroot calls for patch-initrd function.
  * Replace local unmkinitramfs script with custom script..
  * Fix naming for TDE desktop launcher.

 -- David Hare <dzz@exegnulinux.net>  Mon, 28 Apr 2025 01:35:37 +0100


refracta2usb (2.4.4~exegnu3~2) unstable; urgency=low

  * Non maintainer experimental test build.
  * Newer unmkinitramfs can break our intrd patch scripts:
  * Concatenates compressed kernel modules with main compressed cpio.
  * Add local unmkinitramfs script from bookworm/daedalus.
  * Override the last lintian error.

 -- David Hare <dzz@exegnulinux.net>  Sun, 20 Apr 2025 17:15:30 +0100


refracta2usb (2.4.4~exegnu3~1) unstable; urgency=low

  * Non maintainer experimental test build.
  * Update patch-initrd for live-boot 20250225 (current unstable).
  * Support for initramfs with multiple cpio's.

 -- David Hare <dzz@exegnulinux.net>  Fri, 18 Apr 2025 03:42:15 +0100


refracta2usb (2.4.4~exegnu2~1) unstable; urgency=low

  * Non maintainer experimental test build.
  * Update patch-initrd for live-boot 20240525 (current unstable).
  * Remove "-d" (DEBUG flag)from TDE desktop launcher.

 -- David Hare <dzz@exegnulinux.net>  Tue, 11 Jun 2024 17:44:05 +0100 


refracta2usb (2.4.4~exegnu1+2.1) unstable; urgency=low

  * Non maintainer experimental test build.
  * Fix chown failure on vfat.
  * Move PATH addition /opt/trinity/bin to main script.

 -- David Hare <dzz@exegnulinux.net>  Thu, 04 Jan 2024 17:25:52 +0000


refracta2usb (2.4.4~exegnu1+2) unstable; urgency=low

  * Non maintainer experimental test build.
  * Fix failure to delete loop device.
  * Fix failure to umount.
  * Tidy up script comments.

 -- David Hare <dzz@exegnulinux.net>  Thu, 04 Jan 2024 02:45:06 +0000


refracta2usb (2.4.4~exegnu1+1) unstable; urgency=low

  * Non maintainer experimental test build.
  * Set USB mount options for user rw access.
  * Open file manager/editor instances as user not root.
  * Remove dialog references to root editor and file manager.
  * Include /opt/trinitybin/kwrite as editor option.
  * Include final check and warning for USB umount failure.
  * Remove mousepad|geany dependency.

 -- David Hare <dzz@exegnulinux.net>  Sat, 30 Dec 2023 00:17:50 +0000


refracta2usb (2.4.4~exegnu1) unstable; urgency=low

  * Non maintainer test build.
  * Update patch-initrd for live-boot 1:20230131 (stable/unstable).
  * Trinity Desktop will crash if kwrite is called from root:
  * Add mousepad|geany as dependency (mousepad is lighter).
  * Add extra launcher to suit TDE (shown only in TDE).
  * Add adwaita-icon-theme to recommends (cosmetic only).
  * Add --progress to all rsync commands in main script.
  * Fix root owned logfile in user's $HOME
  * Sort some Lintian errors:
  * Add lintian override to suppress refracta2usb.desktop warning
  * Create basic man page (incomplete as yet).
  * Add "extended description" to debian/control.
  * Remove executable flag on some text files.
  * Remove "snapshot2usb" title references.
  * Add option to set debug mode in conf file
  * Package as "Debian Native" with full source tarball.

 -- David Hare <dzz@exegnulinux.net>  Fri, 22 Dec 2023 19:43:09 +0000


refracta2usb (2.4.3) unstable; urgency=low

  * Update patch-initrd for live-boot 1:20190614 (buster/beowulf)
  * New boot splash

 -- fsmithred <fsmithred@gmail.com>  Sun, 16 Feb 2020 12:35:00 -0500


refracta2usb (2.4.2) unstable; urgency=low

  * Remove null column in partition list window
  * Expand search pattern to find more partitions

 -- fsmithred <fsmithred@gmail.com>  Fri, 17 May 2019 07:25:00 -0400


refracta2usb (2.4.1) unstable; urgency=low

  * Set root's path to include sbins for Buster/Beowulf.

 -- fsmithred <fsmithred@gmail.com>  Wed, 19 Dec 2018 17:54:00 -0500


refracta2usb (2.4.0) unstable; urgency=low

  * Merge some changes from unbuilt 2.3.7.
    
 -- fsmithred <fsmithred@gmail.com>  Sun, 09 Dec 2018 08:50:00 -0500


refracta2usb (2.4~pre) unstable; urgency=low

  * Updated live-boot scripts to 20170112 for patch-initrd.
    
 -- fsmithred <fsmithred@gmail.com>  Mon, 30 Jan 2017 07:50:00 -0500


refracta2usb (2.3.6) unstable; urgency=low

  * Added text-info window with old grub.cfg if efi files are replaced.
  * Added union=overlay to menu options window.
  * Added help text for multiboot usb toram.
  * Added help button (More) to set_menu_options, shows 'man live-boot'.
  

 -- fsmithred <fsmithred@gmail.com>  Fri, 17 Feb 2017 10:35:00 -0500



refracta2usb (2.3.5) unstable; urgency=low

  * functions.common: Changed /dev/disk/by-id to by-uuid for vdev.
    

 -- fsmithred <fsmithred@gmail.com>  Wed, 28 Dec 2016 09:12:00 -0500



refracta2usb (2.3.4) unstable; urgency=low

  * Replaced missing line break in menu_text in refracta2usb line 340.
    

 -- fsmithred <fsmithred@gmail.com>  Tue, 11 Oct 2016 17:29:00 -0400



refracta2usb (2.3.3) unstable; urgency=low

  * Added yet another location to find syslinux mbr.bin
  * Changed config to components in f5.txt boot help.
  * Added more missing dollar signs.
  * More configurable boot options.
  * Added support for xed, nemo, pluma, caja (for mate and cinnamon)
  * Removed live-boot and live-config from Depends. Not needed.
  * Fixed Bug: non-tabbed editors were not showing the grub menu.
  

 -- fsmithred <fsmithred@gmail.com>  Sun, 02 Oct 2016 10:20:00 -0400



refracta2usb (2.3.2) unstable; urgency=low

  * Fixed version number in control file and script.
  * Added missing dollar signs for translation.
  * Fixed menu generation for copy from multiboot usb.
  

 -- fsmithred <fsmithred@gmail.com>  Thu, 23 Sep 2016 07:10:00 -0400



refracta2usb (2.3.0) unstable; urgency=low

  * Added support for UEFI.
  * EFI files in iso get copied to usb.
  * Boot menu entries get created for syslinux and grub-efi.
  * Replaced archivemount with lsinitramfs in test for askpass.
  * Removed/disabled support for zenity. (long ago broken by yad forms)
  

 -- fsmithred <fsmithred@gmail.com>  Tue, 14 Jun 2016 12:05:00 -0400



refracta2usb (2.2.0) unstable; urgency=low

  * Updated patch-initrd to live-boot-20160511 (currently sid)
  * Skipped version numbers for easy recognition.
  * Updated sample boot menu entries in help file.
  * Added "union=aufs" to options selection window for boot menu.
  

 -- fsmithred <fsmithred@gmail.com>  Wed, 25 May 2016 23:45:00 -0400


refracta2usb (2.0.1) unstable; urgency=low

  * Centered dialog windows.
  * Fixed typo in menu creation for mkpersist - ${netconfig_opt}
  * Changed tools menu item "Delete_folder" to "File_manager".


 -- fsmithred <fsmithred@gmail.com>  Sun, 29 Nov 2015 10:05:00 -0500



refracta2usb (2.0.0) unstable; urgency=low

  * Skipped version 1.0  because snapshot2usb-1.0 came before 
  * refracta2usb-0.x. I think we're out of the experimental zone.
  *
  * Root must run refracta2usb. Solves blkid and 'syslinux -d' issues.
  * Solves multiple password entries and su vs. sudo issues.
  *
  * Reorganized refracta2usb to combine functions for creating live-usb.
  * Multiboot is assumed. Use iso contents, intact iso, running live-cd
  * or live-usb as a source.
  *
  * Reorganized menus: Main menu (to create) and Tools (to manage).
  * Added -t,--tools command line option to start with Tools menu.
  *
  * Syslinux folder gets created from host instead of copied from iso or
  * from packgage. This solves mismatched versions of syslinux modules
  * and syslinux mbr. 
  *
  * install_syslinux_bootloader script is now a function in main script. 
  * mkpersist script is now functions.mkpersist run from main script.
  * mkloopback script converted to functions.mkloopback
  * mount/umount loopfile and delete loop device converted to functions.
  *
  * Eliminated mkusbcrypt and old refracta hooks.
  * Eliminated Update task. Just delete the folder and add a new one.
  * Added test for boot flag on first partition. 
  * All tasks return to menu instead of exiting.
  * Trapped cleanup so it runs on any exit.
  *
  * Boot menu entries for persistent partition or loopback file use
  * "$target_name" (the directory that contains the live system) instead
  * of "Refracta". Unified some variables between functions.
  *
  * Added Use_loop. Make a boot entry using existing loopback file.
  *
  * Replaced fuseiso with archivemount, only for mounting and checking 
  * initrd for cryptsetup. All other mounts are done by root with mount.
  *
  * Replaced the starfield boot splash with plain blue to save space.
  *
  * Boot options ip=frommedia and mountmode=rw,noatime can be added
  * from checklist just before the menu entry is created.


 -- fsmithred <fsmithred@gmail.com>  Sun, 10 Aug 2015 16:45:00 -0400



refracta2usb (0.9.7) unstable; urgency=low

  * Fixed test for $PERSISTENCE_TYPE in mkpersist.
  * Fixed gksu command for mkpersist in refracta2usb to run debug mode.
  
  
 -- fsmithred <fsmithred@gmail.com>  Sat, 27 Dec 2014 09:05:00 -0500



refracta2usb (0.9.6) unstable; urgency=low

  * Fixed directory-selection bug in replace_live function.
  * Added bar to dependencies; to show progress of dd in mkloopback.
  * Moved boot menu reference window into copy_iso function, so that you 
  * select the file while the volume is still mounted. This only gets
  * used with setup_multiboot.
  
  
 -- fsmithred <fsmithred@gmail.com>  Sat, 12 Apr 2014 17:20:00 -0400


refracta2usb (0.9.5) unstable; urgency=low

  * (refracta2usb) 
  * Changed some wording in settings window.
  * Running refracta2usb in debug mode automatically runs subscripts
  * in debug mode.
  *
  * (mkloopback)
  * Passprase is no longer logged.
  *
  * (select-loop-mount)
  * Passprase is no longer logged.
  * Mounted loopback file opens in non-root file manager.
  *
  * (functions_r2u)
  * Added function find_file_manager for select-loop-mount
  * Added $other_file_manager setting to config file.


 -- fsmithred <fsmithred@gmail.com>  Fri, 21 Feb 2014 15:55:00 -0500




refracta2usb (0.9.4v) unstable; urgency=low

  * (refracta2usb) 
  * Added killloops script to remove leftover loop devices.
  *
  * (mkloopback)
  * Passprase now has graphical entry.
  *
  * (select-loop-mount)
  * Passprase now has graphical entry.
  * cleanup_1 removes /tmp/loopdev."$LOOP_FILENAME"
  * Added "CLOSE_LOOPDEV=" for better cleanup.
  *
  *(patch-initrd-gui)
  * Added new live.tar.gz as live_sid.tar.gz; set choice in config file.
  

 -- fsmithred <fsmithred@gmail.com>  Mon, 27 Jan 2014 13:58:00 -0500



refracta2usb (0.9.4u) unstable; urgency=low

  * (refracta2usb) 
  * Don't need /live folder for setup_findiso, setup_multiboot, or
  * replace_live - other names for /live will work, and findiso uses
  * $target_dir instead of ${target_dir}/live.
  * Moved select_kernel and select_initrd to functions file.
  * copy_syslinux set to FALSE in setup_options()
  * In setup_multiboot and setup_findiso, boot menu from the iso file
  * opens in text-info window just before actual boot menu opens.
  * Moved tests for $save_syslinux in replace_live() up to beginning
  * of function and reversed their order.
  * Added --progress and -h to rsync commands.
  *
  * (mkloopback)
  * Don't need /live folder.
  * Test if first partition was selected, in case user does not set the
  * option, so that custom initrd warning is shown.
  *
  *(patch-initrd-gui)
  * Don't need /live folder - uses existing path to kernel and initrd.
  

 -- fsmithred <fsmithred@gmail.com>  Thu, 23 Jan 2014 14:00:00 -0500



refracta2usb (0.9.4t) unstable; urgency=low

  * (refracta2usb) 
  * setup_findiso() changes: kernel, initrd. isofile get copied to
  * ${target_dir}/live so menus in mkloopback and patch-initrd-gui work.
  * isolinux gets copied to ${target_dir} so isolinux2syslinux and
  * syslinux tests will still work.
  *
  * (mkloopback)
  * setup_boot_menu() changes: test for isofile, get filename,
  * use ${live_path_opt} for findiso.
  *
  *(patch-initrd-gui)
  * added ${live_path_opt} to menu text; use for live-media-path or 
  * findiso
  

 -- fsmithred <fsmithred@gmail.com>  Sat, 04 Jan 2014 18:17:00 -0500



refracta2usb (0.9.4s) unstable; urgency=low

  * default boot menu opens without having to select it.
  * setup_findiso finished message: if you add patched initrd
  * or loopback file to same directory, menu entries will be wrong.
  * setup_findiso now unmounts isofile before exits.
  * cleanup1 moved from mkloopback to functions_r2u for select-loop-mount
  * select-loop-mount now mounts partition under /tmp instead of /media
  

 -- fsmithred <fsmithred@gmail.com>  Sat, 04 Jan 2014 14:17:00 -0500



refracta2usb (0.9.4r) unstable; urgency=low

  * select-loop-mount now recognizes encrypted loopback file.
  * Fixed bug in function check_exit that reported wrong exit code.


 -- fsmithred <fsmithred@gmail.com>  Sun, 01 Jan 2014 11:45:00 -0500



refracta2usb (0.9.4q) unstable; urgency=low

  * Added option for user-set loopback file size.
  * Moved function check_size to functions file, so mkloopback could use it.
  * Renamed mkloopback.sh to mkloopback.
  * Update (replace_live) now works with multiboot.


 -- fsmithred <fsmithred@gmail.com>  Sun, 29 Dec 2013 14:35:00 -0500



refracta2usb (0.9.4p) unstable; urgency=low

  * Added install_syslinux to setup_findiso if syslinux folder gets copied.


 -- fsmithred <fsmithred@gmail.com>  Fri, 27 Dec 2013 10:50:00 -0500



refracta2usb (0.9.4n) unstable; urgency=low
  
  * Added Boot_ISO task to use findiso boot option with iso file.


 -- fsmithred <fsmithred@gmail.com>  Fri, 27 Dec 2013 10:50:00 -0500



refracta2usb (0.9.4m) unstable; urgency=low
  
  * Changes in copy_livemount: added cleanup, removed exclude-from,
  * added info window for renamed syslinux folder, fixed test for
  * save_syslinux when there is no syslinux to save.


 -- fsmithred <fsmithred@gmail.com>  Sun, 23 Dec 2013 13:05:00 -0500



refracta2usb (0.9.4k) unstable; urgency=low
  
  * Test that selected file is loopback file in select-loop-mount 


 -- fsmithred <fsmithred@gmail.com>  Sun, 22 Dec 2013 10:35:00 -0500



refracta2usb (0.9.4j) unstable; urgency=low
  
  * Preserve syslinux set to FALSE again.
  * Added tests and warnings for existing syslinux and live folders
  * in Update and Live tasks.


 -- fsmithred <fsmithred@gmail.com>  Sat, 21 Dec 2013 15:10:00 -0500



refracta2usb (0.9.4h) unstable; urgency=low
  
  * Wrong copy of refracta2usb script went into 0.9.4g. Corrected it.


 -- fsmithred <fsmithred@gmail.com>  Mon, 16 Dec 2013 18:35:00 -0500



refracta2usb (0.9.4g) unstable; urgency=low
  
  * Added test for $selected_device, not null, block device.


 -- fsmithred <fsmithred@gmail.com>  Mon, 16 Dec 2013 13:55:00 -0500



refracta2usb (0.9.4f) unstable; urgency=low

  * Moved all error logs to ~/.refracta2usb.
  * Detect user id for ownership of files made by root scripts and
  * filesystem in non-persistent loopback files.
  * mkloopback: Grouped code into new function - setup_boot_menu.
  * mkloopback: Detect live session to locate boot menu and initrd.
  * mkloopback: Fixed bug that left $PERSISTENCE null.
  * Removed custom buttons from zenity file-selectio windows.
  * Added --radiolist to zenity lists, otherwise, no output.
  

 -- fsmithred <fsmithred@gmail.com>  Mon, 16 Dec 2013 09:55:00 -0500
 
 

refracta2usb (0.9.4e) unstable; urgency=low

  * Added test and warning for plugdev group memebership.
  * mkloopback is fully functional - make a persistent loopfile on
  * any partition, with or without encryption.
  * Replaced x-terminal-emulator with xterm.
  * Added mount/umount scripts to use with other loopfiles.
  * (i.e. loopfiles other than the one you're using for persistence)
  * Added test for cryptsetup in mkloopback and mkusbcrypt.
  * Preserve syslinux folder on update is now default setting.
  * Moved dosfstools up to Depends and mtools down to Recommends.
  * edit_boot_menu tests for a live session and whether the running
  * system was the one selected, for file-selection window.
  
  
 -- fsmithred <fsmithred@gmail.com>  Tue, 03 Dec 2013 22:26:00 -0500



refracta2usb (0.9.4d) unstable; urgency=low

  * added gksu as dependency and dosfstools is recommended.
  * error logs all go to $HOME
  * various bugfixes.
  

 -- fsmithred <fsmithred@gmail.com>  Sun, 24 Nov 2013 22:40:00 -0500



refracta2usb (0.9.4b) unstable; urgency=low

  * mkloopback is partially functional. Create persistent loopback file
  * on live media partition, made rw with patched initrd.img.
  

 -- fsmithred <fsmithred@gmail.com>  Sat, 23 Nov 2013 23:30:00 -0500



refracta2usb (0.9.4) unstable; urgency=low

  * Complete overhaul:
  * Added support for patched initrd.img, loopback files, multi-boot.
  * Common functions file, common config file, reorganized code.
  

 -- fsmithred <fsmithred@gmail.com>  Thu, 21 Nov 2013 20:30:00 -0500



refracta2usb (0.9.3) unstable; urgency=low

  * Added option to copy and edit persistence.conf.
  

 -- fsmithred <fsmithred@gmail.com>  Tue, 05 Nov 2013 11:45:00 -0500



refracta2usb (0.9.2) unstable; urgency=low

  * Put full version number in control file.
  * Added "Replaces: <version>" in control file.
  * Changed order of items in main menu.
  * Added option to copy and edit persistence.conf.
  

 -- fsmithred <fsmithred@gmail.com>  Tue, 05 Nov 2013 10:45:00 -0500



refracta2usb (0.9.1) unstable; urgency=low

  * Fixed path to copy back saved /boot folder (/tmp/boot, not tmp/boot)


 -- fsmithred <fsmithred@gmail.com>  Mon, 05 Aug 2013 09:55:00 -0400
